主题
按任务 ID 获取 Bing 自然搜索高级结果
接口概览
GET /v3/serp/wp/v2/task_get/advanced/$id
根据任务 ID 获取 Bing SERP 高级结果。任务结果自提交任务之日起保留 30 天,在此期间可以重复查询。
> 注意:原始页面标题为 serp/bing/organic/task_get/advanced,但容路径为 /v3/serp/wp/v2/task_get/advanced/$id,请按上述路径调用。
计费说明
- 提交任务时计费。
- 任务结果可在 30 天获取。
- 实扣费以响应头
X-SeerMarTech-Charge-CNY为准。 - 沙盒接口不产生费用,可用于查看 Bing Organic SERP Advanced 返回结构及可用字段:
https://sandbox.seermartech.cn/v3/serp/bing/organic/task_get/advanced/00000000-0000-0000-0000-000000000000
请求参数
路径参数:
| 参数 | 类型 | 说明 |
|---|---|---|
id | string | 任务唯一标识,UUID 格式。任务提交后 30 天有效,可使用该 ID 随时查询任务结果。 |
请求示例
cURL
bash
task_id="02261816-2027-0066-0000-c27d02864073"
curl --location --request GET \
"https://api.seermartech.cn/v3/serp/wp/v2/task_get/advanced/${task_id}" \
--header "Authorization: Bearer smt_live_YOUR_KEY" \
--header "Content-Type: application/json"Python
python
import requests
task_id = "02261816-2027-0066-0000-c27d02864073"
url = f"https://api.seermartech.cn/v3/serp/wp/v2/task_get/advanced/{task_id}"
response = requests.get(
url,
headers={
"Authorization": "Bearer smt_live_YOUR_KEY",
"Content-Type": "application/json",
},
)
data = response.json()
if data.get("status_code") == 20000:
print("任务结果:", data.get("tasks"))
else:
print("请求失败:", data.get("status_code"), data.get("status_message"))TypeScript
typescript
import axios from "axios";
const taskId = "02231256-2604-0066-2000-57133b8fc54e";
axios
.get(
`https://api.seermartech.cn/v3/serp/wp/v2/task_get/advanced/${taskId}`,
{
headers: {
Authorization: "Bearer smt_live_YOUR_KEY",
"Content-Type": "application/json",
},
}
)
.then((response) => {
// 处理任务结果
console.log(response.data);
})
.catch((error) => {
console.error("请求失败:", error.response?.data || error.message);
});响应结构
接口返回 JSON 数据,顶层 tasks 数组。
顶层字段
| 字段 | 类型 | 说明 |
|---|---|---|
version | string | 当前 API 版本。 |
status_code | integer | 请求级状态码。完整状态码列表请参考错误码文档。建议客户端对异常和错误状态进行统一处理。 |
status_message | string | 请求级提示信息。 |
time | string | 请求执行耗时,例如 0.2347 sec.。 |
cost | float | 平台原始 USD 成本兼容字段;人民币实扣以 X-SeerMarTech-Charge-CNY 为准。 |
tasks_count | integer | tasks 数组中的任务数量。 |
tasks_error | integer | tasks 数组中返回错误的任务数量。 |
tasks | array | 任务结果数组。 |
任务对象字段
| 字段 | 类型 | 说明 |
|---|---|---|
id | string | 任务唯一标识,UUID 格式。 |
status_code | integer | 任务状态码,通常在 10000-60000 范围。 |
status_message | string | 任务状态说明。 |
time | string | 任务执行耗时。 |
cost | float | 平台原始 USD 成本兼容字段;人民币实扣以 X-SeerMarTech-Charge-CNY 为准。 |
result_count | integer | result 数组中的结果数量。 |
path | array | 请求 URL 路径信息。 |
data | object | 提交任务时使用的参数。 |
result | array | SERP 结果数组。 |
data 字段
data 通常以下任务参数:
| 字段 | 类型 | 说明 |
|---|---|---|
api | string | API 模块名称。 |
function | string | API 方法名称。 |
se | string | 搜索引擎类型。 |
se_type | string | 搜索结果类型。 |
language_name | string | 语言名称。 |
location_name | string | 地理位置名称。 |
keyword | string | 查询。 |
priority | integer | 任务优级。 |
tag | string | 用户自定义任务标签。 |
device | string | 设备类型。 |
os | string | 操作系统类型。 |
result 字段
| 字段 | 类型 | 说明 |
|---|---|---|
keyword | string | POST 请求中提交的。返回时会对编码进行解码,+ 会被解码为空格。 |
type | string | 搜索结果类型。 |
se_domain | string | 搜索引擎域名。 |
location_code | integer | 地理位置编码。 |
language_code | string | 语言编码。 |
check_url | string | 对应 SERP 的直接 URL,可用于核验结果准确性。 |
datetime | string | 结果获取时间,UTC 格式:yyyy-MM-dd HH-mm-ss +00:00。 |
spell | object | 搜索引擎自动纠错信息。 |
refinement_chips | object | 搜索筛选项;在无数据时为 null。 |
item_types | array | SERP 中出现的结果类型。 |
se_results_count | integer | SERP 中的结果总数。 |
pages_count | integer | 获取到的 SERP 页数。 |
items_count | integer | items 数组中的数量。 |
items | array | SERP 中提取到的所有结果。 |
spell 字段
| 字段 | 类型 | 说明 |
|---|---|---|
keyword | string | 搜索引擎自动纠正后的。 |
type | string | 自动纠正类型,可选值:did_you_mean、showing_results_for、no_results_found_for、including_results_for。 |
item_types 可选值
text
answer_box
carousel
events
featured_snippet
hotels_pack
images
jobs
local_pack
map
organic
paid
people_also_ask
people_also_search
questions_and_answers
recipes
related_searches
shopping
top_stories
video
ai_overviewSERP素通用字段
以下字段可能出现在多个 SERP素中:
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 素类型。 |
rank_group | integer | 同类型中的分组排名。不同类型不会计该排名。 |
rank_absolute | integer | 素在整个 SERP 中的绝对排名。 |
page | integer | 素所在的 SERP 页码。 |
position | string | 素在 SERP 中的对齐方式,可为 left 或 right。 |
xpath | string | 素在 SERP 页面中的 XPath。 |
rectangle | object | 素在 SERP 中的位置和尺寸。当提交任务时将 calculate_rectangles 设置为 true 时返回,否则为 null。 |
rectangle 字段
| 字段 | 类型 | 说明 |
|---|---|---|
x | integer | 素左上角的横坐标。 |
y | integer | 素左上角的纵坐标。 |
width | integer | 素宽度,单位为像素。 |
height | integer | 素高度,单位为像素。 |
自然结果:organic
organic 表示 Bing SERP 中的自然搜索结果。
| 字段 | 类型 | 说明 |
|---|---|---|
domain | string | 结果域名。 |
title | string | 结果标题。 |
url | string | 结果 URL。 |
cache_url | string | 页面缓存 URL。 |
related_search_url | string | 搜索 URL。 |
breadcrumb | string | 面屑路径。 |
website_name | string | 网站名称。 |
is_image | boolean | 是否图片。 |
is_video | boolean | 是否视频。 |
is_featured_snippet | boolean | 是否为精选摘要。 |
is_malicious | boolean | 是否被标记为恶意结果。 |
is_web_story | boolean | 是否为网页。 |
description | string | SERP 中显示的结果描述。 |
pre_snippet | string | 描述前附加的信息。 |
extended_snippet | string | 描述后附加的信息。 |
images | array | 结果图片。 |
amp_version | boolean | 是否存在 AMP 版本。 |
rating | object | 结果评分信息。 |
price | object | 产品或服务价格信息。 |
highlighted | array | 描述中加粗显示的。 |
links | array | 站点链接,没有时为 null。 |
faq | object | 常见问题扩展,没有时为 null。 |
extended_people_also_search | array | 搜索扩展。 |
about_this_result | object | “此结果”信息;Bing 不提供该特性,始终为 null。 |
related_result | array | 同域名结果;Bing 不提供该特性,始终为 null。 |
timestamp | string | 结果发布时间,UTC 格式。 |
images 图片对象
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 images_element。 |
alt | string | 图片替代文本。 |
url | string | 页面 URL。 |
image_url | string | 图片 URL。若原始来源不可用,可能返回平台存储地址。 |
rating 评分对象
| 字段 | 类型 | 说明 |
|---|---|---|
rating_type | string | 评分类型:Max5、Percents 或 CustomMax。 |
value | float | 评分值。 |
votes_count | integer | 评价数量。 |
rating_max | integer | 当前评分类型的最大值。 |
price 价格对象
| 字段 | 类型 | 说明 |
|---|---|---|
current | float | 当前价格。 |
regular | float | 未打折时的常规价格。 |
max_value | float | 价格区间的最大值。 |
currency | string | 价格币种的 ISO 编码。 |
is_price_range | boolean | 是否为价格区间。 |
displayed_price | string | SERP 中原始显示的价格字符串。 |
links 站点链接对象
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 link_element。 |
title | string | 链接标题。 |
description | string | 链接描述。 |
url | string | 站点链接 URL。 |
faq 常见问题对象
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 faq_box。 |
items | array | 常见问题列表。 |
faq.items 中的字段:
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 faq_box_element。 |
title | string | 问题文本。 |
description | string | 展开后的答案。 |
links | array | 答案中的链接。 |
付费结果:paid
paid 表示 SERP 中的广告结果,支持以下字段:
| 字段 | 类型 | 说明 |
|---|---|---|
domain | string | 广告域名。 |
title | string | 广告标题。 |
description | string | 广告描述。 |
url | string | 广告目标 URL。 |
breadcrumb | string | 广告面屑路径。 |
highlighted | array | 描述中高亮。 |
extra | object | 广告附加信息。 |
links | array | 广告站点链接。 |
price | object | 广告中的价格信息。 |
rectangle | object | 广告位置和尺寸。 |
extra 字段:
| 字段 | 类型 | 说明 |
|---|---|---|
ad_aclk | string | 广告标识。 |
description | string | 广告描述。 |
description_rows | array | 扩展描述,没有时为 null。 |
SERP素
除自然结果和广告结果外,items 还可能以下。
answer_box 答案框
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 answer_box。 |
text | array | 答案文本,没有时为 null。 |
links | array | 答案框中的站点链接。 |
rectangle | object | 素位置和尺寸。 |
related_searches 搜索
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 related_searches。 |
items | array | 搜索项,没有时为 null。 |
rectangle | object | 素位置和尺寸。 |
people_also_search 用户还搜索了
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 people_also_search。 |
title | string | 结果标题。 |
items | array | 搜索项。 |
rectangle | object | 素位置和尺寸。 |
people_also_ask 用户还问了
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 people_also_ask。 |
items | array | 问题列表。 |
rectangle | object | 素位置和尺寸。 |
items 中的问题对象:
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 people_also_ask_element。 |
title | string | 问题标题。 |
xpath | string | 问题 XPath。 |
expanded_element | array | 展开后的问题答案。 |
展开字段:
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 people_also_ask_expanded_element。 |
featured_title | string | 答案来源页面标题。 |
url | string | 页面 URL。 |
domain | string | 来源域名。 |
title | string | 结果标题。 |
description | string | 答案描述。 |
timestamp | string | 页面发布时间。 |
table | object | 结果表格。 |
local_pack 本地结果
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 local_pack。 |
title | string | 商家或地点名称。 |
description | string | 本地结果描述。 |
domain | string | 商家域名。 |
phone | string | 电话号码。 |
url | string | 商家 URL。 |
is_paid | boolean | 是否为广告。 |
rating | object | 商家评分。 |
cid | string | Bing 定义的商家唯一 ID。 |
is_claimed | boolean | 商家资料是否已认领。 |
rectangle | object | 素位置和尺寸。 |
map 地图结果
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 map。 |
title | string | 地图结果标题。 |
url | string | 地图 URL。 |
rectangle | object | 素位置和尺寸。 |
hotels店结果
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 hotels_pack。 |
title | string | 店结果标题。 |
date_from | string | 住日期,格式为 YYYY-MM-DD。 |
date_to | string | 离店日期,格式为 YYYY-MM-DD。 |
items | array | 店列表。 |
rectangle | object | 素位置和尺寸。 |
项字段:
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 hotels_pack_element。 |
title | string | 店名称。 |
desription | string | 店描述。字段名按接口原始定义保留。 |
hotel_identifier | string | Bing 分的唯一标识。 |
domain | string | 店域名。 |
url | string | 店 URL。 |
is_paid | boolean | 是否为广告。 |
price | object | 指定日期的预订价格。 |
rating | object | 店评分。 |
rectangle | object | 素位置和尺寸。 |
carousel 轮播
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 carousel。 |
title | string | 轮播标题。 |
items | array | 轮播项。 |
rectangle | object | 素位置和尺寸。 |
轮播项字段:
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 carousel_element。 |
title | string | 项目标题。 |
subtitle | string | 项目副标题。 |
events 事件结果
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 events。 |
title | string | 事件模块标题。 |
url | string | 事件模块 URL。 |
items | array | 事件列表。 |
rectangle | object | 素位置和尺寸。 |
事件项字段:
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 events_element。 |
title | string | 事件标题。 |
description | string | 事件摘要。 |
url | string | 事件 URL。 |
featured_snippet 精选摘要
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 featured_snippet。 |
domain | string | 来源域名。 |
title | string | 结果标题。 |
featured_title | string | 精选摘要来源页面标题。 |
description | string | 摘要。 |
timestamp | string | 发布时间。 |
url | string | 来源 URL。 |
images | array | 摘要中的图片。 |
table | object | 摘要中的表格。 |
rectangle | object | 素位置和尺寸。 |
images 图片结果
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 images。 |
title | string | 图片模块标题。 |
url | string | 图片结果页 URL。 |
items | array | 图片项。 |
related_image_searches | array | 图片搜索项。 |
rectangle | object | 素位置和尺寸。 |
图片项字段:
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 images_element。 |
alt | string | 图片替代文本。 |
url | string | 图片原始 URL。 |
image_url | string | 压缩图片 URL。 |
图片搜索项字段:
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 related_image_searches_element。 |
title | string | 可用于细化图片搜索的。 |
alt | string | 推荐图片替代文本。 |
url | string | 图片原始 URL。 |
image_url | string | 压缩图片 URL。 |
shopping 购物结果
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 shopping。 |
title | string | 购物模块标题。 |
items | array | 商品列表。 |
rectangle | object | 素位置和尺寸。 |
商品项字段:
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 shopping_element。 |
title | string | 商品标题。 |
price | object | 商品价格。 |
source | string | 商品信息来源。 |
description | string | 商品描述。 |
marketplace | string | 商品所在电商平台,例如 by Bing。 |
marketplace_url | string | 商品在电商平台中的页面 URL。 |
url | string | 商品 URL。 |
jobs 招聘结果
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 jobs。 |
title | string | 招聘模块标题。 |
url | string | 招聘模块 URL。 |
items | array | 职位列表。 |
rectangle | object | 素位置和尺寸。 |
职位项字段:
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 jobs_element。 |
title | string | 职位标题。 |
description | string | 职位描述。 |
location | string | 职位所在地。 |
author | string | 发布。 |
job_posted_time | string | 职位发布时间描述。 |
timestamp | string | 结果发布时间,UTC 格式。 |
contract_type | string | 合同或职位类型。 |
salary | string | 薪资信息。 |
url | string | 职位 URL。 |
recipes 菜谱结果
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 recipes。 |
items | array | 菜谱列表。 |
rectangle | object | 素位置和尺寸。 |
菜谱项字段:
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 recipes_element。 |
title | string | 菜谱标题。 |
url | string | 菜谱 URL。 |
domain | string | 来源域名。 |
source | string | 信息来源。 |
description | string | 菜谱摘要。 |
time | string | 菜品准备或烹饪总耗时。 |
rating | object | 菜谱评分。 |
rectangle | object | 素位置和尺寸。 |
top_stories 热门新闻
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 top_stories。 |
items | array | 新闻列表。 |
rectangle | object | 素位置和尺寸。 |
新闻项字段:
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 top_stories_element。 |
source | string | 新闻来源。 |
domain | string | 来源域名。 |
title | string | 新闻标题。 |
date | string | 页面发布时间。 |
amp_version | boolean | 是否存在 AMP 版本。 |
timestamp | string | 结果发布时间,UTC 格式。 |
url | string | 新闻 URL。 |
image_url | string | 新闻图片 URL。 |
badges | array | 新闻标签。 |
video 视频结果
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 video。 |
items | array | 视频列表。 |
rectangle | object | 素位置和尺寸。 |
视频项字段:
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 video_element。 |
source | string | 视频来源或平台。 |
title | string | 视频标题。 |
timestamp | string | 视频发布时间,UTC 格式。 |
url | string | 视频 URL。 |
questions_and_answers 问答结果
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 questions_and_answers。 |
items | array | 问答列表。 |
rectangle | object | 素位置和尺寸。 |
问答项字段:
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 questions_and_answers_element。 |
url | string | 问答 URL。 |
question_text | string | 问题。 |
answer_text | string | 答案。 |
source | string | 信息来源。 |
domain | string | 来源域名。 |
rectangle | object | 素位置和尺寸。 |
AI 概览:ai_overview
ai_overview 表示 SERP 中的 AI 摘要或 Copilot 类结果。
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 ai_overview。 |
markdown | string | AI 概览的 Markdown。 |
items | array | AI 概览项。 |
references | array | 生成摘要时使用的网页引用。 |
rectangle | object | 素位置和尺寸。 |
AI 概览项
ai_overview_element
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 ai_overview_element。 |
title | string | 项标题。 |
text | string | 项正文或描述。 |
images | array | 图片。 |
references | array | 网页引用。 |
ai_overview_video_element
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 ai_overview_video_element。 |
position | string | 对齐方式:left 或 right。 |
title | string | 视频标题。 |
snippet | string | 视频摘要。 |
url | string | 视频 URL。 |
domain | string | 视频所在域名。 |
image_url | string | 视频缩略图 URL。 |
source | string | 视频平台,例如 YouTube。 |
date | string | 视频发布日期。 |
timestamp | string | 视频发布时间,UTC 格式。 |
ai_overview_videos_element
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 ai_overview_videos_element。 |
items | array | 视频项数组。 |
视频项:
type:固定为video_elementurl:视频 URLtitle:视频标题source:视频平台timestamp:视频发布时间,UTC 格式
ai_overview_images_element
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 ai_overview_images_element。 |
url | string | 查看更多图片的 URL,通常指向 Bing 图片搜索结果。 |
title | string | 图片集合标题。 |
items | array | 图片项数组。 |
图片项:
type:固定为image_elementalt:图片替代文本url:图片来源 URLimage_url:图片直接 URL
ai_overview_organic_element
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 ai_overview_organic_element。 |
title | string | 自然结果标题。 |
url | string | 自然结果 URL。 |
domain | string | 结果域名。 |
snippet | string | 自然结果摘要。 |
breadcrumb | string | 面屑路径。 |
website_name | string | 来源网站名称。 |
links | array | 自然结果中的链接。 |
domain | string | SERP 中的域名。 |
highlighted | array | 摘要中高亮的。 |
references | array | 可能用于生成 AI 概览的引用。 |
rectangle | object | 素位置和尺寸。 |
AI 引用对象:references
| 字段 | 类型 | 说明 |
|---|---|---|
type | string | 固定为 ai_overview_reference。 |
source | string | 引用来源名称或标题。 |
domain | string | 引用域名。 |
url | string | 引用页面 URL。 |
title | string | 引用页面标题。 |
text | string | 用于生成 AI的页面文本片段。 |
表格对象:table
部分精选摘要、问答或 AI 概览可能表格:
| 字段 | 类型 | 说明 |
|---|---|---|
table_header | array | 表格列名。 |
table_content | array | 表格,每个数组代表一行。 |
响应示例
以下为结构化示例, items会根据、地区、设备及 SERP 页面变化。
json
{
"version": "0.1.20200129",
"status_code": 20000,
"status_message": "Ok.",
"time": "0.2347 sec.",
"cost": 0,
"tasks_count": 1,
"tasks_error": 0,
"tasks": [
{
"id": "02261816-2027-0066-0000-c27d02864073",
"status_code": 20000,
"status_message": "Ok.",
"time": "0.1821 sec.",
"cost": 0,
"result_count": 1,
"path": [
"v3",
"serp",
"wp",
"v2",
"task_get",
"advanced"
],
"data": {
"api": "serp",
"function": "task_get",
"se": "wp",
"se_type": "v2",
"language_name": "English",
"location_name": "United States",
"keyword": "flight ticket new york san francisco",
"priority": 2,
"tag": "tag2",
"device": "desktop",
"os": "windows"
},
"result": [
{
"keyword": "flight ticket new york san francisco",
"type": "v2",
"se_domain": "www.bing.com",
"location_code": 2840,
"language_code": "en",
"check_url": "https://www.bing.com/search?q=flight+ticket+new+york+san+francisco",
"datetime": "2024-01-15 12:57:46 +00:00",
"item_types": [
"organic",
"images",
"people_also_ask",
"related_searches"
],
"se_results_count": 99148,
"pages_count": 1,
"items_count": 2,
"items": [
{
"type": "organic",
"rank_group": 1,
"rank_absolute": 1,
"page": 1,
"position": "left",
"xpath": "/html/body/div/main/ol/li",
"domain": "www.example.com",
"title": "Flight Tickets from New York to San Francisco",
"url": "https://www.example.com/flights",
"cache_url": null,
"related_search_url": null,
"breadcrumb": "https://www.example.com/flights",
"website_name": "Example",
"is_image": false,
"is_video": false,
"is_featured_snippet": false,
"is_malicious": false,
"is_web_story": false,
"description": "Compare flight tickets and available routes.",
"pre_snippet": null,
"extended_snippet": null,
"images": null,
"amp_version": false,
"rating": null,
"price": null,
"highlighted": [],
"links": null,
"faq": null,
"extended_people_also_search": null,
"about_this_result": null,
"related_result": null,
"timestamp": null,
"rectangle": {
"x": 160,
"y": 571,
"width": 648,
"height": 300
}
},
{
"type": "related_searches",
"rank_group": 1,
"rank_absolute": 10,
"page": 1,
"position": "left",
"xpath": "/html/body/div/main/div",
"items": [],
"rectangle": null
}
]
}
]
}
]
}错误处理
客户端应同时检查:
- HTTP 状态码;
- 顶层
status_code; - 每个任务对象中的
status_code; status_message;tasks_error;result是否为空。
当任务状态码表示失败,或 result 为空时,不应继续读取 SERP 结果字段。完整错误码和提示信息请参考错误码文档。
实用场景
- 监控自然排名:按任务 ID 获取 Bing 自然结果及绝对排名,评估网站 SEO 优化效果。
- 分析 SERP 特征覆盖率:统计
organic、featured_snippet、people_also_ask、images、video等,制定争取策略。 - 识别竞争对手可见性:提取自然结果、付费结果、本地结果和购物结果中的域名,比较竞争对手在目标上的位置。
- 挖掘选题:读取
related_searches、people_also_ask、questions_and_answers和 AI 概览引用,扩展及主题。 - 评估本地和商业搜索机会:分析
local_pack、hotels_pack、shopping、jobs等垂直 SERP 模块,为本地 SEO、电商 SEO 或垂直行业运营提供依据。